summaryrefslogtreecommitdiffstats
path: root/desktop/dwm/dwm.SlackBuild
diff options
context:
space:
mode:
author Tom Canich2010-05-12 23:28:17 +0200
committer Chess Griffin2010-05-12 23:28:17 +0200
commit045acf5134803e25185e794c7bd703c254100f70 (patch)
treee299d96cb06fa394235faa4873f2f871a55a4eb8 /desktop/dwm/dwm.SlackBuild
parentcc1a947b2ad3dd8fd7186201aea2b9ed4cc1d56f (diff)
downloadslackbuilds-045acf5134803e25185e794c7bd703c254100f70.tar.gz
desktop/dwm: Added to 12.2 repository
Diffstat (limited to 'desktop/dwm/dwm.SlackBuild')
-rw-r--r--desktop/dwm/dwm.SlackBuild103
1 files changed, 103 insertions, 0 deletions
diff --git a/desktop/dwm/dwm.SlackBuild b/desktop/dwm/dwm.SlackBuild
new file mode 100644
index 0000000000..1f384cc3c0
--- /dev/null
+++ b/desktop/dwm/dwm.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for dwm
+
+# Written by Tom Canich <tcanich@canich.net>
+# Released under the BSD
+# Copyright (c) 2009, Tom Canich, State College, Pennsylvania, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials
+# provided with the distribution.
+# * Neither the name of Tom Canich nor the names of other
+# contributors may be used to endorse or promote
+# products
+# derived from this software without specific prior
+# written
+# permission.
+#
+# THIS SOFTWARE IS PROVIDED BY Tom Canich ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Tom Canich BE LIABLE FOR
+# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project
+
+
+PRGNAM=dwm
+VERSION=${VERSION:-5.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+INSTALL="/bin/ginstall -o root -g root"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+for i in `ls $CWD/patches`; do
+ echo "Applying patch $i"
+ patch -p0 < $CWD/patches/$i
+done
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make PREFIX=/usr
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r $CWD/patches $PKG/usr/doc/$PRGNAM-$VERSION/patches
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz